# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Exporter.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-Perl-Critic-Dynamic
Version:        0.05
Release:        alt1_4
Summary:        Non-static policies for Perl::Critic
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/Perl-Critic-Dynamic/
Source0:        http://www.cpan.org/authors/id/T/TH/THALJEF/Perl-Critic-Dynamic-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(Module/Build.pm)
# Run-time:
BuildRequires:  perl(base.pm)
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Devel/Symdump.pm)
BuildRequires:  perl(English.pm)
BuildRequires:  perl(Perl/Critic/Policy.pm)
BuildRequires:  perl(Perl/Critic/Utils.pm)
BuildRequires:  perl(Readonly.pm)
BuildRequires:  perl(Storable.pm)
# Tests only:
BuildRequires:  perl(CGI.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Perl/Critic/Policy.pm)
Requires:       perl(Devel/Symdump.pm) >= 2.07
Requires:       perl(Perl/Critic/Policy.pm) >= 1.108
Requires:       perl(Perl/Critic/Utils.pm) >= 1.108
Requires:       perl(Storable.pm) >= 2.16

# Remove underspecified dependencies



Source44: import.info
%filter_from_requires /^^perl\\(Devel::Symdump\\)$/d
%filter_from_requires /^^perl\\(Perl::Critic::(Policy/d
%filter_from_requires /^Utils)\\)$/d
%filter_from_requires /^^perl\\(Storable\\)$/d

%description
Perl::Critic is primarily used as a static source code analyzer, which means
that it never compiles or executes any of the code that it examines. But
since Perl is a dynamic language, there are certain types of problems that
cannot be discovered until the code is actually compiled.

This distribution includes Perl::Critic::DynamicPolicy, which can be used as
a base class for Policies that wish to compile the code they analyze. 

%prep
%setup -q -n Perl-Critic-Dynamic-%{version}

%build
%{__perl} Build.PL --install_path bindoc=%_man1dir installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1_4
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1_3
- update to new release by fcimport

* Tue May 29 2012 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1_1
- fc import

